package com.hai.enum_type;

import java.util.Objects;

public enum EtcVarietyEnum {
    varietyName2(2, "龙通卡"  ),
    varietyName6(6, "九州卡" ),
    ;

    private Integer number;

    private String name;


    EtcVarietyEnum(int number, String name) {
        this.number = number;
        this.name = name;

    }

    public static String getNameByType(Integer type) {
        for (EtcVarietyEnum ele : values()) {
            if (Objects.equals(type,ele.getNumber())) {
                return ele.getName();
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }


}
