package com.hai.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * etc_contract_order
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class EtcContractOrder implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 客户手机号码
     */
    private String phone;

    /**
     * 合同编码
     */
    private String contractNo;

    /**
     * 用户信息ID
     */
    private String custId;

    /**
     * 车辆id
     */
    private String vehId;

    /**
     * 产品id
     */
    private Integer productId;

    /**
     * 卡种id
     */
    private Integer cardVarietyId;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 卡种
     */
    private String cardVarietyName;

    /**
     * 签名图片
     */
    private String signImg;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 状态  0 删除 1：正常
     */
    private Integer status;

    /**
     * 支付状态：1：未支付，2：已支付
     */
    private Integer payStatus;

    /**
     * 合同签约状态：1已签约， 0：未签约
     */
    private Integer signStatus;

    /**
     * 银行签约代扣状态 1已签约， 0：未签约
     */
    private Integer bankSign;

    /**
     * 微信签约代扣状态 1已签约， 0：未签约
     */
    private Integer wechatSign;

    /**
     * 是否需要签约微信代扣 1 需要 ， 0：不需要
     */
    private Integer needSignWechat;

    /**
     * 11:待审核,12:待推送,13:已推送高速审核,15:待激活,20:已激活(已启用),21:已停用,22:已挂起,23:已挂失,28:注销审核中,29:注销中,30:已注销,31:审核拒绝,32:已取消,33:高速已拒绝
     */
    private Integer vehStatus;

    /**
     * 跳转路径
     */
    private String jumpPath;

    /**
     * appid
     */
    private String appid;

    /**
     * 操作人
     */
    private Long opId;

    /**
     * 操作人名称
     */
    private String opName;

    /**
     * ext_1
     */
    private String ext1;

    /**
     * ext_2
     */
    private String ext2;

    /**
     * ext_3
     */
    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getVehId() {
        return vehId;
    }

    public void setVehId(String vehId) {
        this.vehId = vehId;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public Integer getCardVarietyId() {
        return cardVarietyId;
    }

    public void setCardVarietyId(Integer cardVarietyId) {
        this.cardVarietyId = cardVarietyId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getCardVarietyName() {
        return cardVarietyName;
    }

    public void setCardVarietyName(String cardVarietyName) {
        this.cardVarietyName = cardVarietyName;
    }

    public String getSignImg() {
        return signImg;
    }

    public void setSignImg(String signImg) {
        this.signImg = signImg;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public Integer getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(Integer signStatus) {
        this.signStatus = signStatus;
    }

    public Integer getBankSign() {
        return bankSign;
    }

    public void setBankSign(Integer bankSign) {
        this.bankSign = bankSign;
    }

    public Integer getWechatSign() {
        return wechatSign;
    }

    public void setWechatSign(Integer wechatSign) {
        this.wechatSign = wechatSign;
    }

    public Integer getNeedSignWechat() {
        return needSignWechat;
    }

    public void setNeedSignWechat(Integer needSignWechat) {
        this.needSignWechat = needSignWechat;
    }

    public Integer getVehStatus() {
        return vehStatus;
    }

    public void setVehStatus(Integer vehStatus) {
        this.vehStatus = vehStatus;
    }

    public String getJumpPath() {
        return jumpPath;
    }

    public void setJumpPath(String jumpPath) {
        this.jumpPath = jumpPath;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public Long getOpId() {
        return opId;
    }

    public void setOpId(Long opId) {
        this.opId = opId;
    }

    public String getOpName() {
        return opName;
    }

    public void setOpName(String opName) {
        this.opName = opName;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        EtcContractOrder other = (EtcContractOrder) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPhone() == null ? other.getPhone() == null : this.getPhone().equals(other.getPhone()))
            && (this.getContractNo() == null ? other.getContractNo() == null : this.getContractNo().equals(other.getContractNo()))
            && (this.getCustId() == null ? other.getCustId() == null : this.getCustId().equals(other.getCustId()))
            && (this.getVehId() == null ? other.getVehId() == null : this.getVehId().equals(other.getVehId()))
            && (this.getProductId() == null ? other.getProductId() == null : this.getProductId().equals(other.getProductId()))
            && (this.getCardVarietyId() == null ? other.getCardVarietyId() == null : this.getCardVarietyId().equals(other.getCardVarietyId()))
            && (this.getProductName() == null ? other.getProductName() == null : this.getProductName().equals(other.getProductName()))
            && (this.getCardVarietyName() == null ? other.getCardVarietyName() == null : this.getCardVarietyName().equals(other.getCardVarietyName()))
            && (this.getSignImg() == null ? other.getSignImg() == null : this.getSignImg().equals(other.getSignImg()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getPayStatus() == null ? other.getPayStatus() == null : this.getPayStatus().equals(other.getPayStatus()))
            && (this.getSignStatus() == null ? other.getSignStatus() == null : this.getSignStatus().equals(other.getSignStatus()))
            && (this.getBankSign() == null ? other.getBankSign() == null : this.getBankSign().equals(other.getBankSign()))
            && (this.getWechatSign() == null ? other.getWechatSign() == null : this.getWechatSign().equals(other.getWechatSign()))
            && (this.getNeedSignWechat() == null ? other.getNeedSignWechat() == null : this.getNeedSignWechat().equals(other.getNeedSignWechat()))
            && (this.getVehStatus() == null ? other.getVehStatus() == null : this.getVehStatus().equals(other.getVehStatus()))
            && (this.getJumpPath() == null ? other.getJumpPath() == null : this.getJumpPath().equals(other.getJumpPath()))
            && (this.getAppid() == null ? other.getAppid() == null : this.getAppid().equals(other.getAppid()))
            && (this.getOpId() == null ? other.getOpId() == null : this.getOpId().equals(other.getOpId()))
            && (this.getOpName() == null ? other.getOpName() == null : this.getOpName().equals(other.getOpName()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPhone() == null) ? 0 : getPhone().hashCode());
        result = prime * result + ((getContractNo() == null) ? 0 : getContractNo().hashCode());
        result = prime * result + ((getCustId() == null) ? 0 : getCustId().hashCode());
        result = prime * result + ((getVehId() == null) ? 0 : getVehId().hashCode());
        result = prime * result + ((getProductId() == null) ? 0 : getProductId().hashCode());
        result = prime * result + ((getCardVarietyId() == null) ? 0 : getCardVarietyId().hashCode());
        result = prime * result + ((getProductName() == null) ? 0 : getProductName().hashCode());
        result = prime * result + ((getCardVarietyName() == null) ? 0 : getCardVarietyName().hashCode());
        result = prime * result + ((getSignImg() == null) ? 0 : getSignImg().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getPayStatus() == null) ? 0 : getPayStatus().hashCode());
        result = prime * result + ((getSignStatus() == null) ? 0 : getSignStatus().hashCode());
        result = prime * result + ((getBankSign() == null) ? 0 : getBankSign().hashCode());
        result = prime * result + ((getWechatSign() == null) ? 0 : getWechatSign().hashCode());
        result = prime * result + ((getNeedSignWechat() == null) ? 0 : getNeedSignWechat().hashCode());
        result = prime * result + ((getVehStatus() == null) ? 0 : getVehStatus().hashCode());
        result = prime * result + ((getJumpPath() == null) ? 0 : getJumpPath().hashCode());
        result = prime * result + ((getAppid() == null) ? 0 : getAppid().hashCode());
        result = prime * result + ((getOpId() == null) ? 0 : getOpId().hashCode());
        result = prime * result + ((getOpName() == null) ? 0 : getOpName().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", phone=").append(phone);
        sb.append(", contractNo=").append(contractNo);
        sb.append(", custId=").append(custId);
        sb.append(", vehId=").append(vehId);
        sb.append(", productId=").append(productId);
        sb.append(", cardVarietyId=").append(cardVarietyId);
        sb.append(", productName=").append(productName);
        sb.append(", cardVarietyName=").append(cardVarietyName);
        sb.append(", signImg=").append(signImg);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", status=").append(status);
        sb.append(", payStatus=").append(payStatus);
        sb.append(", signStatus=").append(signStatus);
        sb.append(", bankSign=").append(bankSign);
        sb.append(", wechatSign=").append(wechatSign);
        sb.append(", needSignWechat=").append(needSignWechat);
        sb.append(", vehStatus=").append(vehStatus);
        sb.append(", jumpPath=").append(jumpPath);
        sb.append(", appid=").append(appid);
        sb.append(", opId=").append(opId);
        sb.append(", opName=").append(opName);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}