package com.hai.enum_type;

import java.util.Objects;

public enum EtcProductEnum {
    productName23(23, "e信通"  ),
    productName26(26, "e达通" ),
    productName45(45, "阳光行S" ),

    ;

    private Integer number;

    private String name;


    EtcProductEnum(int number, String name) {
        this.number = number;
        this.name = name;

    }

    public static String getNameByType(Integer type) {
        for (EtcProductEnum ele : values()) {
            if (Objects.equals(type,ele.getNumber())) {
                return ele.getName();
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }


}
