package com.hai.service;

import com.hai.entity.BsMsg;
import com.hai.entity.BsPushScheduleTask;
import com.hai.entity.BsTemporary;

import java.util.List;
import java.util.Map;

public interface BsTemporaryServices {

    /**
    * @Author Sum1Dream
    * @Name insert
    * @Description // 新增
    * @Date 16:22 2023/12/22
    * @Param bsTemporary
     * @return void
    */
    void insert(BsTemporary bsTemporary);

    /**
    * @Author Sum1Dream
    * @Name update
    * @Description // 更新
    * @Date 16:23 2023/12/22
    * @Param bsTemporary
     * @return void
    */
    void update(BsTemporary bsTemporary);

    /**
    * @Author Sum1Dream
    * @Name findById
    * @Description // 查询
    * @Date 16:23 2023/12/22
    * @Param id
     * @return com.hai.entity.BsMsg
    */
    BsTemporary findById(Long id);

    BsTemporary findByCode(String openId , Integer type);

    /**
    * @Author Sum1Dream
    * @Name getList
    * @Description // 查询列表
    * @Date 16:23 2023/12/22
    * @Param map
     * @return java.util.List<com.hai.entity.BsMsg>
    */
    List<BsTemporary> getList(Map<String , Object> map);

}
